## org.apache.mahout.classifier.df.mapreduce
Class TestForest

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.classifier.df.mapreduce.TestForest

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public class TestForest

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.util.Tool

Tool to classify a Dataset using a previously built Decision Forest

Constructor Summary
`TestForest()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### TestForest

    public TestForest()

Method Detail

### run

    public int run(String[] args)
            throws IOException,
                   ClassNotFoundException,
                   InterruptedException

  Specified by:
    `run` in interface `org.apache.hadoop.util.Tool`
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.